#include "NormalizedDirection.h"
#include <math.h>

NormalizedDirection::NormalizedDirection(float x, float y, bool isNormalized)
{
    if(isNormalized || (x == 0 && y == 0))
    {
        m_x = x;
        m_y = y;
    }
    else
    {
        float normalizeValue = 1 / sqrt(pow(x,2) + pow(y,2));
        m_x = x * normalizeValue;
        m_y = y * normalizeValue;
    }
}
